### Method

# ECal ComponentAlarm get_attachments

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_alarm_get_attachments (
      const ECalComponentAlarm* alarm
    )

#### Description [src]

Get the list of attachments, as `ICalAttach`. The returned `GSList` is owned by `alarm` and should not be modified, neither its content.

Available since: 3.34

#### Return value

Type: A list of `ICalAttach*`

The `alarm` attachments, as a `GSList` of an `ICalAttach`, or `NULL`, when none is set.

The returned data is owned by the instance.
The return value can be `NULL`.